
package de.ivu.elect.business.personenpruefung.control.wahlrecht;

import static java.util.Objects.nonNull;

import de.ivu.elect.business.anschrift.entity.Anschrift;
import de.ivu.elect.business.anschrift.entity.AnschriftArt;

public enum WahlrechtAnschriftsart {

  ALLE,
  HAUPTWOHNUNG;

  private WahlrechtAnschriftsart() {
  }

  public boolean equalsAnschriftArt(Anschrift anschrift) {
    return nonNull(anschrift) && equalsAnschriftArt(anschrift.getAnschriftArt());
  }

  public boolean equalsAnschriftArt(AnschriftArt anschriftArt) {
    if (nonNull(anschriftArt) && !AnschriftArt.UNBEKANNT.equals(anschriftArt)) {
      return this.equals(ALLE) || this.equals(HAUPTWOHNUNG) && AnschriftArt.HAUPTWOHNUNG.equals(anschriftArt);
    }

    return false;
  }
}
